#include <Servo.h>
#include <SPI.h>
#include <Ethernet.h>
#include <ArdOSC.h>

byte myMac[] = { 
  0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED }; //N°MAC de l'Arduino
byte myIp[]  = { 
  192, 168, 1, 177 }; //N° IP de l'Arduino
int  serverPort  = 10000; //port de l'Arduino
Servo servo01; //déclaration des servos
Servo servo02;
Servo servo03;
Servo servo04;
OSCServer server; 

void setup(){  
  Serial.begin(19200);
  Ethernet.begin(myMac ,myIp); 
  server.begin(serverPort);
  servo01.attach(9);
  servo02.attach(8);
  servo03.attach(7);
  servo04.attach(6);
  //set callback function
  server.addCallback("/moteur01",&func1);
}

void loop(){
  Serial.begin(9600);
  if(server.aviableCheck()>0){
  }
}


void func1(OSCMessage *_mes){
  int t01 = _mes->getArgInt32(0);
  //Serial.print("t01 ");
  //Serial.println(t01);
  int t02 = _mes->getArgInt32(1);
   //Serial.print("t02 ");
  //Serial.println(t02);
  int t03 = _mes->getArgInt32(2);
   //Serial.print("t03 ");
  //Serial.println(t03);
  int t04 = _mes->getArgInt32(3);
   //Serial.print("t04 ");
  //Serial.println(t04);
  servo01.write(t01);
  servo02.write(t02);
  servo03.write(t03);
  servo04.write(t04);
  delay(0);
}




